package com.aliyun.odps.spark.examples.myUtils

import java.net.URL
import scala.io.Source

object FileUtils {
  def readFile(path: URL): String = {
    var source: Option[Source] = None
    try {
      source = Some(Source.fromURL(path))
      val content = source.get.getLines().mkString("\n")
      content
    } catch {
      case e: Exception =>
        println(s"读取文件: ${path}, 发生未知错误: ${e.getMessage}")
        ""
    } finally {
      source.foreach(_.close())
    }
  }
}
